# Uses of Class
org.springframework.test.context.ContextConfigurationAttributes

Packages that use ContextConfigurationAttributes
Package
Description
org.springframework.test.context
This package contains the Spring TestContext Framework which provides annotation-driven unit and integration testing support that is agnostic of the actual testing framework in use.
org.springframework.test.context.support
Support classes for the Spring TestContext Framework.
org.springframework.test.context.web
Web support classes for the Spring TestContext Framework.

## Uses of ContextConfigurationAttributes in org.springframework.test.context

Methods in org.springframework.test.context with parameters of type ContextConfigurationAttributes
Modifier and Type
Method
Description
`void`
SmartContextLoader.`processContextConfiguration(ContextConfigurationAttributes configAttributes)`
Process the `ContextConfigurationAttributes` for a given test class.
Method parameters in org.springframework.test.context with type arguments of type ContextConfigurationAttributes
Modifier and Type
Method
Description
`ContextCustomizer`
ContextCustomizerFactory.`createContextCustomizer(Class<?> testClass, List<ContextConfigurationAttributes> configAttributes)`
Create a `ContextCustomizer` that should be used to customize a `ConfigurableApplicationContext` before it is refreshed.

## Uses of ContextConfigurationAttributes in org.springframework.test.context.support

Methods in org.springframework.test.context.support with parameters of type ContextConfigurationAttributes
Modifier and Type
Method
Description
`void`
AbstractContextLoader.`processContextConfiguration(ContextConfigurationAttributes configAttributes)`
The default implementation processes locations analogous to `AbstractContextLoader.processLocations(Class, String...)`, using the `declaring class` as the test class and the `resource locations` retrieved from the supplied `configuration attributes` as the locations to process.
`void`
AbstractDelegatingSmartContextLoader.`processContextConfiguration(ContextConfigurationAttributes configAttributes)`
Delegates to candidate `SmartContextLoaders` to process the supplied `ContextConfigurationAttributes`.
`void`
AnnotationConfigContextLoader.`processContextConfiguration(ContextConfigurationAttributes configAttributes)`
Process component classes in the supplied `ContextConfigurationAttributes`.
Method parameters in org.springframework.test.context.support with type arguments of type ContextConfigurationAttributes
Modifier and Type
Method
Description
`protected ContextLoader`
AbstractTestContextBootstrapper.`resolveContextLoader(Class<?> testClass, List<ContextConfigurationAttributes> configAttributesList)`
Resolve the `ContextLoader` class to use for the supplied list of `ContextConfigurationAttributes` and then instantiate and return that `ContextLoader`.
`protected Class<? extends ContextLoader>`
AbstractTestContextBootstrapper.`resolveExplicitContextLoaderClass(List<ContextConfigurationAttributes> configAttributesList)`
Resolve the `ContextLoader` class to use for the supplied list of `ContextConfigurationAttributes`.

## Uses of ContextConfigurationAttributes in org.springframework.test.context.web

Methods in org.springframework.test.context.web with parameters of type ContextConfigurationAttributes
Modifier and Type
Method
Description
`void`
AnnotationConfigWebContextLoader.`processContextConfiguration(ContextConfigurationAttributes configAttributes)`
Process annotated classes in the supplied `ContextConfigurationAttributes`.